## ncbi-igblast 1.19.0

=== c++/src/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 650961 2022-06-07 14:54:03Z blastadm $
#############################################################################

cmake_minimum_required(VERSION 3.7)
if ("${PROJECT_NAME}" STREQUAL "")
    project(ncbi_cpp)
endif()
include(${CMAKE_CURRENT_LIST_DIR}/build-system/cmake/CMakeLists.top_builddir.txt)

=== c++/src/algo/CMakeLists.txt ===
# $Id: CMakeLists.txt 621774 2020-12-16 19:29:59Z ivanov $

NCBI_add_subdirectory(
  dustmask winmask sequence blast segmask align structure ms gnomon
  tree phy_tree seqqa cobalt text volume_merge primer id_mapper
)

=== c++/src/app/CMakeLists.txt ===
# $Id: CMakeLists.txt 643260 2022-01-07 14:56:57Z ivanov $

NCBI_add_subdirectory(
  agp_validate
  agpconvert
  annotwriter
  asn2asn
  asn2fasta
  asn2flat
  asn_cache
  asn_cleanup
  asnval
  bdb_env_keeper
  biosample_chk
  blast
  blastdb
  blastvdb
  bsdiff
  compart
  convert_seq
  discrepancy_report
  dustmasker
  flat2asn
  formatguess
  gap_stats
  gi2taxid
  grid
  hfilter
  id1_fetch
  id2_fetch
  idfetch
  idmapper
  igblast
  lds2_indexer
  multireader
  multipattern
  ncbi_encrypt
  netschedule
  netstorage
  nmer_repeats
  nw_aligner
  objextract
  objmgr
  prt2fsm
  read_blast_result
  segmasker
  speedtest
  splign
  srcchk
  ssub_fork
  streamtest
  table2asn
  tableval
  vecscreen
  winmasker
)

NCBI_add_subdirectory(
  dblb
  feat_import
  gff_deconcat
  magicblast
  netcache
  pub_report
  rmblastn
  split_cache
  sub_fuse
  tls
  wig2table
  pubseq_gateway
)

=== c++/src/build-system/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593510 2019-09-19 16:37:55Z gouriano $
#############################################################################
# 
#

# Include projects from this directory

NCBI_add_subdirectory(project_tree_builder)

=== c++/src/cgi/CMakeLists.txt ===
# $Id: CMakeLists.txt 635947 2021-08-12 15:01:40Z gouriano $

NCBI_project_tags(web)
NCBI_add_library(cgi fcgi fcgi_mt)
NCBI_add_subdirectory(test)
#NCBI_add_subdirectory(demo)

=== c++/src/connect/CMakeLists.txt ===
# $Id: CMakeLists.txt 642601 2021-12-23 12:19:07Z fukanchi $

# The connect library uses a split between a shared C toolkit library and an
# independent C++ toolkit library
# These variables capture the split

if (WIN32)
    set(lbsm_src ncbi_lbsmd_stub ncbi_strerror)
else()
    if(EXISTS ${NCBI_CURRENT_SOURCE_DIR}/ncbi_lbsm.c)
        set(lbsm_src ncbi_lbsm.c ncbi_lbsm_ipc.c ncbi_lbsmd.c)
    else(WIN32)
        set(lbsm_src ncbi_lbsmd_stub)
    endif()
endif()

set(SRC_TLS
    ncbi_gnutls ncbi_mbedtls ncbi_tls
    mbedtls/aes mbedtls/aesni mbedtls/arc4 mbedtls/aria
    mbedtls/asn1parse mbedtls/asn1write mbedtls/base64 mbedtls/bignum
    mbedtls/blowfish mbedtls/camellia mbedtls/ccm mbedtls/chacha20
    mbedtls/chachapoly mbedtls/cipher mbedtls/cipher_wrap
    mbedtls/cmac mbedtls/constant_time mbedtls/ctr_drbg mbedtls/des
    mbedtls/dhm mbedtls/ecdh mbedtls/ecdsa mbedtls/ecjpake mbedtls/ecp
    mbedtls/ecp_curves mbedtls/entropy mbedtls/entropy_poll
    mbedtls/error mbedtls/gcm mbedtls/havege mbedtls/hkdf
    mbedtls/hmac_drbg mbedtls/md mbedtls/md2 mbedtls/md4
    mbedtls/mbedtls_md5 mbedtls/memory_buffer_alloc mbedtls/mps_reader
    mbedtls/mps_trace mbedtls/nist_kw mbedtls/oid mbedtls/padlock
    mbedtls/pem mbedtls/pk mbedtls/pk_wrap mbedtls/pkcs12
    mbedtls/pkcs5 mbedtls/pkparse mbedtls/pkwrite mbedtls/platform
    mbedtls/platform_util mbedtls/poly1305 mbedtls/psa_crypto
    mbedtls/psa_crypto_aead mbedtls/psa_crypto_cipher
    mbedtls/psa_crypto_client mbedtls/psa_crypto_driver_wrappers
    mbedtls/psa_crypto_ecp mbedtls/psa_crypto_hash
    mbedtls/psa_crypto_mac mbedtls/psa_crypto_rsa
    mbedtls/psa_crypto_se mbedtls/psa_crypto_slot_management
    mbedtls/psa_crypto_storage mbedtls/psa_its_file mbedtls/ripemd160
    mbedtls/rsa mbedtls/rsa_internal mbedtls/sha1 mbedtls/sha256
    mbedtls/sha512 mbedtls/threading mbedtls/timing
    mbedtls/mbedtls_version mbedtls/version_features mbedtls/xtea
    mbedtls/certs mbedtls/pkcs11 mbedtls/x509 mbedtls/x509_create
    mbedtls/x509_crl mbedtls/x509_crt mbedtls/x509_csr
    mbedtls/x509write_crt mbedtls/x509write_csr
    mbedtls/debug mbedtls/net_sockets mbedtls/ssl_cache
    mbedtls/ssl_ciphersuites mbedtls/ssl_cli mbedtls/ssl_cookie
    mbedtls/ssl_msg mbedtls/ssl_srv mbedtls/ssl_ticket mbedtls/ssl_tls
    mbedtls/ssl_tls13_keys
    )

set(SRC_C
    ncbi_ansi_ext ncbi_types ncbi_core ncbi_priv ncbi_util
    ncbi_buffer ncbi_socket ncbi_connector ncbi_connection
    ncbi_connutil ncbi_ipv6 ncbi_server_info ncbi_host_info
    ncbi_service ncbi_sendmail ncbi_base64 ncbi_heapmgr ncbi_lb
    ncbi_socket_connector ncbi_file_connector ncbi_http_connector
    ncbi_memory_connector ncbi_service_connector ncbi_ftp_connector
    ncbi_version ncbi_iprange ncbi_local ncbi_dispd
    ncbi_lbos ncbi_linkerd ncbi_namerd parson
    ncbi_localip ncbi_lbdns
    ${lbsm_src}
    )

set(SRC_CXX
    ncbi_socket_cxx ncbi_core_cxx email_diag_handler
    ncbi_conn_streambuf ncbi_conn_stream ncbi_conn_test
    ncbi_misc ncbi_namedpipe ncbi_namedpipe_connector
    ncbi_pipe ncbi_pipe_connector ncbi_conn_reader_writer
    ncbi_userhost ncbi_http_session ncbi_lbos_cxx ncbi_monkey
    ncbi_service_cxx ncbi_localip_cxx ncbi_blowfish ncbi_usage_report
    connect_misc
    ${SRC_TLS}
    )

NCBI_disable_pch()
NCBI_add_library(connect connssl xxconnect xxconnect2 xconnect xthrserv)
NCBI_add_subdirectory(services ext test daemons)

=== c++/src/objects/CMakeLists.txt ===
# $Id: CMakeLists.txt 638721 2021-10-05 13:41:09Z gouriano $

NCBI_add_subdirectory(
  access
  biblio
  biotree
  blast
  blastdb
  blastxml
  blastxml2
  cdd
  cn3d
  coords
  dbsnp
  docsum
  entrez2
  entrezgene
  featdef
  gbproj
  gbseq
  general
  genesbyloc
  genomecoll
  homologene
  id1
  id2
  insdseq
  macro
  medlars
  medline
  mim
  mla
  mmdb
  ncbimime
  objprt
  omssa
  pcassay
  pcassay2
  pcsubstance
  proj
  pub
  pubmed
  remap
  scoremat
  seq
  seqcode
  seqedit
  seqset
  seqsplit
  seqtest
  submit
  taxon1
  taxon3
  tinyseq
  trackmgr
  valerr
  valid
  variation
  variation_libs
  varrep
)

=== c++/src/serial/CMakeLists.txt ===
# $Id: CMakeLists.txt 621588 2020-12-14 19:26:57Z ivanov $

NCBI_project_tags(core)
NCBI_add_library(serial cserial)
NCBI_add_subdirectory(datatool test soap grpc_integration)

=== c++/src/sra/CMakeLists.txt ===
# $Id: CMakeLists.txt 621843 2020-12-17 14:02:27Z ivanov $

NCBI_requires(VDB)

NCBI_add_subdirectory(
  readers 
  data_loaders
  app 
)

=== c++/src/algo/blast/CMakeLists.txt ===
# $Id: CMakeLists.txt 641526 2021-12-02 18:06:07Z fukanchi $

set(SRC_BLAST_C_CORE
    ../core/aa_ungapped
    ../core/blast_aalookup
    ../core/blast_aascan
    ../core/blast_diagnostics
    ../core/blast_dynarray
    ../core/blast_encoding
    ../core/blast_engine
    ../core/blast_extend
    ../core/blast_filter
    ../core/blast_gapalign
    ../core/blast_hits
    ../core/blast_hspstream
    ../core/blast_hspstream_mt_utils
    ../core/blast_itree
    ../core/blast_kappa
    ../core/blast_lookup
    ../core/blast_message
    ../core/blast_nalookup
    ../core/blast_nascan
    ../core/blast_options
    ../core/blast_parameters
    ../core/blast_posit
    ../core/blast_program
    ../core/blast_psi
    ../core/blast_psi_priv
    ../core/blast_query_info
    ../core/blast_seg
    ../core/blast_seqsrc
    ../core/blast_setup
    ../core/blast_stat
    ../core/blast_sw
    ../core/blast_traceback
    ../core/blast_traceback_mt_priv
    ../core/blast_tune
    ../core/blast_util
    ../core/boost_erf
    ../core/gapinfo
    ../core/gencode_singleton
    ../core/greedy_align
    ../core/hspfilter_besthit
    ../core/hspfilter_collector
    ../core/hspfilter_culling
    ../core/hspfilter_mapper
    ../core/index_ungapped
    ../core/jumper
    ../core/link_hsps
    ../core/lookup_util
    ../core/lookup_wrap
    ../core/matrix_freq_ratios
    ../core/na_ungapped
    ../core/ncbi_math
    ../core/ncbi_std
    ../core/pattern
    ../core/phi_extend
    ../core/phi_gapalign
    ../core/phi_lookup
    ../core/split_query
    ../core/spliced_hits
)

NCBI_add_subdirectory(
  composition_adjustment core dbindex dbindex_search api proteinkmer
  format blastinput blast_sra_input igblast gumbel_params vdb unit_tests
)

NCBI_project_watchers(camacho madden fongah2)

=== c++/src/app/blastdb/CMakeLists.txt ===
# $Id: CMakeLists.txt 622501 2020-12-24 15:12:25Z ivanov $

NCBI_add_app(
  blastdbcmd makeblastdb blastdb_aliastool blastdbcheck convert2blastmask
  blastdbcp makeprofiledb blastdb_convert blastdb_path
)

=== c++/src/app/igblast/CMakeLists.txt ===
# $Id: CMakeLists.txt 622501 2020-12-24 15:12:25Z ivanov $

NCBI_add_app(igblastp igblastn)
NCBI_add_target(edit_imgt_file)

=== debian/changelog ===
ncbi-igblast (1.19.0-1build1) mantic; urgency=medium

  * No-change rebuild against glibc 2.38-1ubuntu2

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 11 Aug 2023 12:25:22 +0200

ncbi-igblast (1.19.0-1) unstable; urgency=medium

  * Team upload.
  * Fix Uploaders field
    Closes: #1016362
  * Standards-Version: 4.6.1 (routine-update)
  * Refer to common license file for Apache-2.0.

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jul 2022 08:27:07 +0200

ncbi-igblast (1.18.0-1) unstable; urgency=low

  * Team upload
  * Initial Release. (Closes: #903965)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2022 14:52:48 +0200

=== debian/control ===
Source: ncbi-igblast
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: David Miguel Susano Pinto <carandraug+dev@gmail.com>,
           Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               time
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-igblast
Vcs-Git: https://salsa.debian.org/med-team/ncbi-igblast.git
Homepage: https://ncbi.github.io/igblast/
Rules-Requires-Root: no

Package: igblast
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Immunoglobulin and T cell receptor variable domain sequence analysis
 IgBLAST allows users to view the matches to the germline V, D, and J
 genes, details at rearrangement junctions, the delineation of IG V
 domain framework regions, and complementarity determining regions.
 IgBLAST has the capability to analyse nucleotide and protein
 sequences, and can process sequences in batches.  Furthermore,
 IgBLAST allows searches against the germline gene databases and other
 sequence databases simultaneously to minimize the chance of missing
 possibly the best matching germline V gene.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=c++

override_dh_auto_configure:
	cd c++ && yes | \
        ./configure.orig --prefix=/usr \
	  --without-gbench --without-internal --without-gui --without-ctools --without-app --without-connext \
	  --without-ncbi-crypt \
	  --without-vdb \
	  --without-ngs \
	  --without-dll --without-debug --with-strip \
	  --without-openmp --without-mt --without-mesa --without-glut --without-orbacus --without-sp \
	  --without-local-lbsm --without-cppkafka --without-librdkafka --without-apache-arrow --without-hiredis --without-aws-sdk --without-msgsl --without-grpc --without-protobuf --without-libxlsxwriter --without-influxdb --without-h2o --without-nghttp2 --without-cassandra \
	  --without-libssh2 --without-libuv --without-lmdb --without-mongodb --without-leveldb --without-gmock --without-gsoap --without-avro --without-cereal --without-oechem --without-zorba --without-xalan --without-xerces --without-libexslt --without-sablot --without-icu --without-sybase \
	  --without-python --without-perl \
	  --without-runpath

override_dh_auto_build:
	cd c++ && make

override_dh_auto_install:
	# skipping

override_dh_clean:
	# cleans *.orig files, which it should not
	rm -fr ./c++/GCC1020-ReleaseDLL64
	dh_clean -X*.orig

## ncbi-igblast 1.20.0

=== c++/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #############################################################################
-# $Id: CMakeLists.txt 650961 2022-06-07 14:54:03Z blastadm $
+# $Id: CMakeLists.txt 657645 2022-10-13 19:07:41Z blastadm $
 #############################################################################
 
 cmake_minimum_required(VERSION 3.7)

=== c++/src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: CMakeLists.txt 643260 2022-01-07 14:56:57Z ivanov $
+# $Id: CMakeLists.txt 643194 2022-01-06 14:19:06Z grichenk $
 
 NCBI_add_subdirectory(
   agp_validate

=== c++/src/dbapi/CMakeLists.txt ===
# $Id: CMakeLists.txt 621659 2020-12-15 14:01:22Z ivanov $

if (APPLE AND NOT XCODE)
  #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-framework,ApplicationServices -liconv")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-framework,ApplicationServices -liconv -undefined dynamic_lookup")
endif ()

NCBI_add_library(dbapi)
NCBI_add_subdirectory(driver simple lang_bind test)

=== c++/src/objtools/CMakeLists.txt ===
# $Id: CMakeLists.txt 621735 2020-12-16 15:47:41Z ivanov $

NCBI_add_subdirectory(
  unit_test_util readers blast lds2 data_loaders simple
  alnmgr cddalignview test manip cleanup format edit validator
  asniotest align seqmasks_io eutils
  align_format snputil uudutil variation writers pubseq_gateway
  logging import flatfile
)

=== c++/src/serial/CMakeLists.txt ===
# $Id: CMakeLists.txt 656900 2022-09-29 21:45:59Z fukanchi $

NCBI_add_library(serial cserial)
NCBI_add_subdirectory(datatool test soap grpc_integration)

=== c++/src/algo/align/CMakeLists.txt ===
# $Id: CMakeLists.txt 621774 2020-12-16 19:29:59Z ivanov $

NCBI_add_subdirectory(util nw splign contig_assembly prosplign mergetree ngalign advanced_cleanup)

=== c++/src/algo/sequence/CMakeLists.txt ===
# $Id: CMakeLists.txt 621774 2020-12-16 19:29:59Z ivanov $

NCBI_add_library(xalgoseq)
NCBI_add_subdirectory(demo unit_test)

=== c++/src/app/igblast/CMakeLists.txt ===
# $Id: CMakeLists.txt 657626 2022-10-13 17:45:20Z ivanov $

NCBI_add_app(igblastp igblastn)
NCBI_add_target(edit_imgt_file)
NCBI_add_target(makeogrdb)
NCBI_add_target(makeogrannote)

=== c++/src/objects/blastxml/CMakeLists.txt ===
# $Id: CMakeLists.txt 621673 2020-12-15 14:41:24Z ivanov $

NCBI_add_library(blastxml)

=== c++/src/objects/cdd/CMakeLists.txt ===
# $Id: CMakeLists.txt 621673 2020-12-15 14:41:24Z ivanov $

NCBI_add_library(cdd)

=== c++/src/objects/objprt/CMakeLists.txt ===
# $Id: CMakeLists.txt 621673 2020-12-15 14:41:24Z ivanov $

NCBI_add_library(objprt)

=== c++/src/objects/seqcode/CMakeLists.txt ===
# $Id: CMakeLists.txt 621673 2020-12-15 14:41:24Z ivanov $

NCBI_add_library(seqcode)

=== debian/changelog ===
ncbi-igblast (1.20.0-3) unstable; urgency=medium

  * Use system-provided lmdb.
  * Backport upstream fix for GCC-15 failure (Closes: #1097435)
  * Adjust debian/source/lintian-overrides.

 -- Andrius Merkys <merkys@debian.org>  Tue, 30 Sep 2025 08:15:02 -0400

ncbi-igblast (1.20.0-2) unstable; urgency=medium

  * Link in internal_data/ directory locally for autopkgtest, as it does not
    get automatically detected on some hosts.
  * Use chrpath to remove RUNPATH from binaries.
  * Build with system-provided mbedtls.

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Mar 2025 02:22:46 -0500

ncbi-igblast (1.20.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix lintian-overrides
  * Recommends: ncbi-blast+
  * Install edit_imgt_file.pl and c++/src/app/igblast/internal_data
  * Build-Depends: libncbi-vdb-dev, drop --without-vdb option
  * Do a more targeted build using --with-flat-makefile
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/source/lintian-overrides on line
    4-6.

  [ Aaron M. Ucko ]
  * debian/igblast.install: Install correct build output (Closes: #1068442)
  * debian/patches/avoid-gcc-crash.patch (new): Work around a consistent
    internal compiler error whose fix may run into the toolchain freeze:
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=108137
  * debian/rules:
    - Add possibly relevant subtrees to VDB_INCLUDE.
    - Enable optimization unless DEB_BUILD_OPTIONS contains noopt.
    - Copy-hack clean logic from ncbi-blast+.

  [ Michael R. Crusoe ]
  * build-dep on procps for the "ps" command.

  [ Andrius Merkys ]
  * Check if directory before cd'ing.
  * Subdirectory internal_data/ has to stay for igblast to find its files
    without patching.
  * Add myself to uploaders.
  * Rework debian/source/lintian-overrides to format understood by FTP server.
  * Add autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Wed, 05 Mar 2025 06:44:15 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,16 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: David Miguel Susano Pinto <carandraug+dev@gmail.com>,
-           Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper-compat (= 13),
+           Steffen Moeller <moeller@debian.org>,
+           Andrius Merkys <merkys@debian.org>
+Build-Depends: chrpath,
+               debhelper-compat (= 13),
+               liblmdb-dev,
+               libmbedtls-dev,
+               libncbi-vdb-dev,
+               procps,
                time
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-igblast
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-igblast.git
 Homepage: https://ncbi.github.io/igblast/
@@ -14,7 +20,9 @@
 
 Package: igblast
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: ncbi-blast+
 Description: Immunoglobulin and T cell receptor variable domain sequence analysis
  IgBLAST allows users to view the matches to the germline V, D, and J
  genes, details at rearrangement junctions, the delineation of IG V

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=c++

ifeq "" "$(filter noopt,$(DEB_BUILD_OPTIONS))"
  WITH_OPTIM=--with-optimization
endif

VDB_SUBTREES=os/$(DEB_HOST_ARCH_OS) os/unix cc/gcc/$(DEB_HOST_GNU_CPU) cc/gcc
VDB_INC=-I/usr/include/ncbi-vdb
VDB_INCLUDE=$(VDB_INC) $(VDB_SUBTREES:%=$(VDB_INC)/%)

override_dh_auto_configure:
	cd c++ && yes | \
        ./configure.orig --prefix=/usr \
	  --with-lmdb \
	  --with-mbedtls \
	  --with-openmp $(WITH_OPTIM) \
	  --with-vdb=/usr VDB_INCLUDE="$(VDB_INCLUDE)" \
	  --without-runpath \
	  --with-flat-makefile

#	  --with-vdb VDB_LIBS=-lncbi-vdb VDB_INCLUDE=-I/usr/include/ncbi-vdb \

override_dh_auto_build:
	cd c++/*/build && make -f Makefile.flat app/igblast/
	find . -name igblastn -o -name igblastp | xargs chrpath --delete

override_dh_auto_install:
	find . -name igblastn
	find . -name igblastp

override_dh_clean:
	# cleans *.orig files, which it should not
	dh_clean -X*.orig
	#Tricky - for each module directory there may be several module files
	#or there may be none but then there is still a module named after the
	#directory.  Clean everything!
	-for x in c++/src/objects/* ; do \
	    (test -d "$$x" && cd "$$x" && ( \
		mods="`echo *.module`" ; \
		[ "$${mods#*\*}" = "$$mods" ] || mods="`basename $$x`" ; \
		for mod in $$mods ; do \
	            ../../../GCC*/build/new_module.sh $$mod \
	                purge_sources ; \
		done ) ; \
	    ) ; \
	done
	rm -rf c++/compilers/dll c++/config.log c++/Makefile c++/GCC*
	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
	rm -f c++/include/common/ncbi_revision.h

=== debian/tests/control ===
Tests: igblast
Depends:
 @,

=== debian/watch ===
version=4
https://ftp.ncbi.nlm.nih.gov/blast/executables/igblast/release/LATEST/ \
  ncbi-igblast-(.*)-src.tar.gz
